Update Portal Template
curl --request PATCH \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_version": 1,
"name": "<string>",
"branding": {
"logo_url": "<string>",
"brand_color": "<string>",
"accent_color": "<string>",
"background_color": "<string>"
},
"header": {
"business_name": "<string>",
"context_line": "<string>",
"hero_image_url": "<string>",
"hero_image_attribution": {
"source": "unsplash",
"photographerName": "<string>",
"photographerUrl": "<string>",
"photoUrl": "<string>"
},
"show_trust_badge": true
},
"layout": [
{
"type": "header",
"id": "<string>"
}
],
"smart_lock": {
"enabled": true
},
"listing_data": {
"enabled": true,
"fields": {
"directions": true,
"area": true,
"checkInInstructions": true,
"checkOutInstructions": true,
"wifi": true,
"parking": true,
"houseRules": true,
"houseManual": true,
"trash": true,
"doorCode": true,
"address": true
}
}
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-templates/{id}"
payload = {
"expected_version": 1,
"name": "<string>",
"branding": {
"logo_url": "<string>",
"brand_color": "<string>",
"accent_color": "<string>",
"background_color": "<string>"
},
"header": {
"business_name": "<string>",
"context_line": "<string>",
"hero_image_url": "<string>",
"hero_image_attribution": {
"source": "unsplash",
"photographerName": "<string>",
"photographerUrl": "<string>",
"photoUrl": "<string>"
},
"show_trust_badge": True
},
"layout": [
{
"type": "header",
"id": "<string>"
}
],
"smart_lock": { "enabled": True },
"listing_data": {
"enabled": True,
"fields": {
"directions": True,
"area": True,
"checkInInstructions": True,
"checkOutInstructions": True,
"wifi": True,
"parking": True,
"houseRules": True,
"houseManual": True,
"trash": True,
"doorCode": True,
"address": True
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_version: 1,
name: '<string>',
branding: {
logo_url: '<string>',
brand_color: '<string>',
accent_color: '<string>',
background_color: '<string>'
},
header: {
business_name: '<string>',
context_line: '<string>',
hero_image_url: '<string>',
hero_image_attribution: {
source: 'unsplash',
photographerName: '<string>',
photographerUrl: '<string>',
photoUrl: '<string>'
},
show_trust_badge: true
},
layout: [{type: 'header', id: '<string>'}],
smart_lock: {enabled: true},
listing_data: {
enabled: true,
fields: {
directions: true,
area: true,
checkInInstructions: true,
checkOutInstructions: true,
wifi: true,
parking: true,
houseRules: true,
houseManual: true,
trash: true,
doorCode: true,
address: true
}
}
})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"slug": "<string>",
"version": 123,
"updated_at": 123,
"config": {}
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Templates
Update Portal Template
Update selected sections of a portal template.
PATCH
/
v1
/
workspaces
/
{workspace_id}
/
portal-templates
/
{id}
Update Portal Template
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1Portal template identifier
Minimum string length:
1Body
application/json
Required range:
x > 0Minimum string length:
1Available options:
draft, active, paused Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Update Portal Template
Show child attributes
Show child attributes
Was this page helpful?
⌘I